QT       += core gui

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

CONFIG += c++17

# You can make your code fail to compile if it uses deprecated APIs.
# In order to do so, uncomment the following line.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

SOURCES += \
    src/main.cpp \
    src/mainwindow.cpp \
    src/pageanswer.cpp \
    src/pagegame.cpp \
    src/pageresults.cpp \
    src/pageselect.cpp \
    src/pagestart.cpp \
    src/quiz.cpp

HEADERS += \
    src/gamestate.h \
    src/mainwindow.h \
    src/pageanswer.h \
    src/pagegame.h \
    src/pageresults.h \
    src/pageselect.h \
    src/pagestart.h \
    src/quiz.h \
    src/quizquestion.h \
    src/stackedpage.h \
    src/util.h

FORMS += \
    ui/mainwindow.ui

# Default rules for deployment.
qnx: target.path = /tmp/$${TARGET}/bin
else: unix:!android: target.path = /opt/$${TARGET}/bin
!isEmpty(target.path): INSTALLS += target

RC_ICONS = res/icon.ico
